%define usbdropdir %(pkg-config libpcsclite --variable="usbdropdir" 2>/dev/null)
%define major   0
%define libname %mklibname %name %major
%define develname %mklibname %name -d
%define build_version 100711

Summary:        ACS ACR 38 USB (acr38u) Smartcard Reader driver for PCSC-lite
Name:           acr38u
Version:        1.7.11
Release:        %mkrel 11
License:        GPL
Group:          System/Kernel and hardware
URL:            https://www.acs.com.hk/en/driver/200/acr38u-h1-smart-card-reader/
# From the Gentoo ebuild:
# <<<
# tarball release is encapsuled in a .zip file :-(
# http://www.acs.com.hk/drivers/eng/ACR38_Driver_Lnx_101_P.zip
# I'm waiting an answer from info@acs.com.hk about that !
# SRC_URI="https://www.linuxunderground.be/${MY_P}.tar.bz2"
# HOMEPAGE="http://www.acs.com.hk"
# >>>
# Source0:      http://www.acs.com.hk/download/ACR38_LINUX_%{build_version}_P.tar.gz
Source0:        https://www.linuxunderground.be/ACR38_LINUX_%{build_version}_P.tar.bz2
Patch0:         acr38u-linkage_fix.diff
BuildRequires:  pkgconfig(libpcsclite) >= 1.3.1
BuildRequires:  pkgconfig(libusb) >= 0.1.12
Requires(post): pcsc-lite
Requires(postun): pcsc-lite
Requires:       pcsc-lite
Requires:       %{libname} = %{version}-%{release}

%description
CCID ACR38u Smart Card reader driver for PCSC-lite.

%package -n     %{libname}
Group:          System/Libraries
Summary:        Shared library for %{name}

%description -n %{libname}
Shared library for the CCID ACR38u Smart Card reader driver for
PCSC-lite.

%package -n     %{develname}
Summary:        Development library for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for the CCID ACR38u Smart Card reader driver for
PCSC-lite.

%prep
%setup -q -n ACR38_LINUX_%{build_version}_P
%autopatch -p0

%build
rm -rf autom4te.cache
autoreconf -fis

%configure \
        --disable-dependency-tracking \
        --disable-static \
        --enable-usbdropdir="%{buildroot}%{usbdropdir}"
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

# Move the .pc file to the correct place on x86-64 and aarch64
# Test should probably compare _libdir with _prefix/lib rather than listing arches
%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/pkgconfig
mv %{buildroot}%{_prefix}/lib/pkgconfig/libacr38ucontrol.pc %{buildroot}%{_libdir}/pkgconfig/libacr38ucontrol.pc
%endif

%post
/sbin/service pcscd condrestart > /dev/null 2>/dev/null || :

%postun
/sbin/service pcscd condrestart > /dev/null 2>/dev/null || :

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README* doc/README*
%{usbdropdir}/*

%files -n %{libname}
%defattr(-, root, root, 0755)
%{_libdir}/*.so.*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.7.11-11.mga10
+ Revision: 2195277
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 1.7.11-10.mga9
+ Revision: 1791702
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.7.11-9.mga8
+ Revision: 1511566
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.7.11-8.mga7
+ Revision: 1297283
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 pterjan <pterjan> 1.7.11-7.mga7
+ Revision: 1237543
- Fix build on aarch64

* Fri Feb 05 2016 umeabot <umeabot> 1.7.11-6.mga6
+ Revision: 938468
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.11-5.mga5
+ Revision: 740293
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.11-4.mga5
+ Revision: 686455
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.7.11-3.mga5
+ Revision: 677693
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.7.11-2.mga5
+ Revision: 643552
- Replace libusb*-devel BuildRequires by better ones

* Sun May 04 2014 shlomif <shlomif> 1.7.11-1.mga5
+ Revision: 619930
- New version 1.7.11 - thanks to Gentoo

* Fri Oct 18 2013 umeabot <umeabot> 1.7.10-5.mga4
+ Revision: 502454
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.7.10-4.mga3
+ Revision: 345261
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 fwang <fwang> 1.7.10-3.mga3
+ Revision: 275190
- update file list

* Tue Mar 29 2011 steletch <steletch> 1.7.10-2.mga1
+ Revision: 78905
- Clean spec file
- imported package acr38u


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.10-2mdv2011.0
+ Revision: 603170
- rebuild

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1.7.10-1mdv2010.1
+ Revision: 462618
- update to new version 1.7.10

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.7.9-8mdv2010.0
+ Revision: 413022
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1.7.9-7mdv2009.1
+ Revision: 349983
- 2009.1 rebuild

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.9-6mdv2009.0
+ Revision: 230719
- added P0 to fix linkage
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.7.9-4mdv2008.1
+ Revision: 148420
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 14 2007 Adam Williamson <awilliamson@mandriva.org> 1.7.9-3mdv2008.0
+ Revision: 51934
- correct major
- correct file list

* Sat Jul 14 2007 Adam Williamson <awilliamson@mandriva.org> 1.7.9-2mdv2008.0
+ Revision: 51925
- move .pc file to the correct place on x86-64
- er, restart pcscd not CUPS...
- take service restart commands from foomatic-db
- use mdv make and makeinstall macros
- quiet setup
- libify according to MDV policy
- correct buildrequires
- correct group
- initial spec from Cedric Devillers
- Import acr38u



* Thu Jul 12 2007 Cedric Devillers <brancaleone@altern.org> 1.7.9-1.mdv
- First mandriva build.
